org.wildfly.swarm.config.elytron

## Class CredentialStore<T extends CredentialStore<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.CredentialStore<T>

-     public class CredentialStore<T extends CredentialStore<T>>
      extends Object

  Credential store to keep alias for sensitive information such as passwords for external services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialStore(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `create()` Specifies whether credential store should create storage when it doesn't exist.
    `T` | `create(Boolean value)` Specifies whether credential store should create storage when it doesn't exist.
    `Map` | `credentialReference()` Credential reference to be used to create protection parameter.
    `T` | `credentialReference(Map value)` Credential reference to be used to create protection parameter.
    `T` | `credentialReference(String key, Object value)` Credential reference to be used to create protection parameter.
    `String` | `getKey()`
    `Map` | `implementationProperties()` Map of credentials store implementation specific properties.
    `T` | `implementationProperties(Map value)` Map of credentials store implementation specific properties.
    `T` | `implementationProperty(String key, Object value)` Map of credentials store implementation specific properties.
    `String` | `location()` File name of credential store storage.
    `T` | `location(String value)` File name of credential store storage.
    `Boolean` | `modifiable()` Specifies whether credential store is modifiable.
    `T` | `modifiable(Boolean value)` Specifies whether credential store is modifiable.
    `String` | `otherProviders()` The name of the providers defined within the subsystem to obtain the Providers to search for the one that can create the required JCA objects within credential store.
    `T` | `otherProviders(String value)` The name of the providers defined within the subsystem to obtain the Providers to search for the one that can create the required JCA objects within credential store.
    `String` | `providerName()` The name of the provider to use to instantiate the CredentialStoreSpi.
    `T` | `providerName(String value)` The name of the provider to use to instantiate the CredentialStoreSpi.
    `String` | `providers()` The name of the providers defined within the subsystem to obtain the Providers to search for the one that can create the required CredentialStore type.
    `T` | `providers(String value)` The name of the providers defined within the subsystem to obtain the Providers to search for the one that can create the required CredentialStore type.
    `String` | `relativeTo()` A reference to a previously defined path that the file name is relative to.
    `T` | `relativeTo(String value)` A reference to a previously defined path that the file name is relative to.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `State` | `state()` The state of the underlying service that represents this credential store at runtime.
    `T` | `state(State value)` The state of the underlying service that represents this credential store at runtime.
    `String` | `type()` The credential store type, e.g.
    `T` | `type(String value)` The credential store type, e.g.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialStore

          public CredentialStore(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### credentialReference

          public Map credentialReference()

      Credential reference to be used to create protection parameter.

    - #### credentialReference

          public T credentialReference(Map value)

      Credential reference to be used to create protection parameter.

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      Credential reference to be used to create protection parameter.

    - #### state

          public State state()

      The state of the underlying service that represents this credential store at runtime.

    - #### state

          public T state(State value)

      The state of the underlying service that represents this credential store at runtime.

    - #### relativeTo

          public String relativeTo()

      A reference to a previously defined path that the file name is relative to.

    - #### relativeTo

          public T relativeTo(String value)

      A reference to a previously defined path that the file name is relative to.

    - #### create

          public Boolean create()

      Specifies whether credential store should create storage when it doesn't exist.

    - #### create

          public T create(Boolean value)

      Specifies whether credential store should create storage when it doesn't exist.

    - #### implementationProperties

          public Map implementationProperties()

      Map of credentials store implementation specific properties.

    - #### implementationProperties

          public T implementationProperties(Map value)

      Map of credentials store implementation specific properties.

    - #### implementationProperty

          public T implementationProperty(String key,
                                          Object value)

      Map of credentials store implementation specific properties.

    - #### location

          public String location()

      File name of credential store storage.

    - #### location

          public T location(String value)

      File name of credential store storage.

    - #### modifiable

          public Boolean modifiable()

      Specifies whether credential store is modifiable.

    - #### modifiable

          public T modifiable(Boolean value)

      Specifies whether credential store is modifiable.

    - #### otherProviders

          public String otherProviders()

      The name of the providers defined within the subsystem to obtain the Providers to search for the one that can create the required JCA objects within credential store. This is valid only for key-store based CredentialStore. If this is not specified then the global list of Providers is used instead.

    - #### otherProviders

          public T otherProviders(String value)

      The name of the providers defined within the subsystem to obtain the Providers to search for the one that can create the required JCA objects within credential store. This is valid only for key-store based CredentialStore. If this is not specified then the global list of Providers is used instead.

    - #### providerName

          public String providerName()

      The name of the provider to use to instantiate the CredentialStoreSpi. If the provider is not specified then the first provider found that can create an instance of the specified 'type' will be used.

    - #### providerName

          public T providerName(String value)

      The name of the provider to use to instantiate the CredentialStoreSpi. If the provider is not specified then the first provider found that can create an instance of the specified 'type' will be used.

    - #### providers

          public String providers()

      The name of the providers defined within the subsystem to obtain the Providers to search for the one that can create the required CredentialStore type. If this is not specified then the global list of Providers is used instead.

    - #### providers

          public T providers(String value)

      The name of the providers defined within the subsystem to obtain the Providers to search for the one that can create the required CredentialStore type. If this is not specified then the global list of Providers is used instead.

    - #### type

          public String type()

      The credential store type, e.g. KeyStoreCredentialStore.

    - #### type

          public T type(String value)

      The credential store type, e.g. KeyStoreCredentialStore.

Copyright © 2018 JBoss by Red Hat. All rights reserved.